package edu.mermet.tp8.actions;

import java.awt.event.ActionEvent;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.util.Properties;

import javax.swing.AbstractAction;
import javax.swing.ButtonGroup;
import javax.swing.JDialog;
import javax.swing.JInternalFrame;

import edu.mermet.tp8.Application;
import edu.mermet.tp8.ecouteur.EcouteurAfficher;

public class ActionValider extends AbstractAction {
	private ButtonGroup conv, text, diapo, bouton;
	private Application a;
	private JDialog dialog;
	
	public ActionValider(ButtonGroup conv, ButtonGroup text, ButtonGroup diapo, ButtonGroup bouton, Application a, JDialog dialog) {
		this.conv = conv;
		this.text = text;
		this.diapo = diapo;
		this.bouton = bouton;
		this.a = a;
		this.dialog = dialog;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		try (OutputStream output = new FileOutputStream("src/main/java/edu/mermet/tp8/configuration/bouton.properties")) {
        	
        	Properties p = System.getProperties();
        	String name = p.getProperty("user.name");
        	
            Properties prop = new Properties();

            prop.setProperty("conv"+name, conv.getSelection().getActionCommand());
            prop.setProperty("texte"+name, text.getSelection().getActionCommand());
            prop.setProperty("diapo"+name, diapo.getSelection().getActionCommand());
            prop.setProperty("bouton"+name, bouton.getSelection().getActionCommand());

            prop.store(output, null);

        } catch (IOException io) {
            io.printStackTrace();
        }
		
		dialog.setVisible(false);
		
		a.getActionAfficherConversion().actionPerformed(e);		
		a.getActionAfficherTexte().actionPerformed(e);
		a.getActionAfficherDiaporama().actionPerformed(e);
		a.getActionAfficherBouton().actionPerformed(e);
				
	}

}
