package edu.mermet.tp8.actions;

import java.awt.event.ActionEvent;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.Properties;

import javax.swing.AbstractAction;
import javax.swing.JInternalFrame;

public class ActionsNePlusAfficher extends AbstractAction {
	private JInternalFrame f;
	private int n;
	
	public ActionsNePlusAfficher(JInternalFrame f, int n) {
		super("Ne plus afficher");
		this.f = f;
		this.n = n;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		f.dispose();
		try {
			String adresse = "src/main/java/edu/mermet/tp8/suggestion/suggestion.properties";
			InputStream input = new FileInputStream(adresse);
			Properties prop = new Properties();
			prop.load(input);
			
			prop.setProperty("sug"+n, "no");
			
			OutputStream output = new FileOutputStream(adresse);
			prop.store(output,null);
			
			
		}catch (IOException io) {
            io.printStackTrace();
        }
	}

}
