package edu.mermet.tp8.fenetres;

import java.awt.BorderLayout;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;
import java.util.Random;

import javax.swing.Action;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JInternalFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

import edu.mermet.tp8.actions.ActionsFermer;
import edu.mermet.tp8.actions.ActionsNePlusAfficher;

public class FenetreSuggestion extends JInternalFrame{
	private JLabel label;
	private JButton fermer, plusAff;
	private boolean afficher = false;

	public FenetreSuggestion() {
		super("Suggestion", true,true,true,true);
		init();
		//pack();
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
	}
	
	public void init() {		
		
		try (InputStream input = new FileInputStream("src/main/java/edu/mermet/tp8/suggestion/suggestion.properties")) {
			JPanel panelBouton = new JPanel();
			JPanel panel = new JPanel();
			
        	Properties prop = new Properties();
        	prop.load(input);
        	
        	Random r = new Random();
        	int n;
        	
        	for(int i = 1; i <= 13; i++) {
        		if(prop.getProperty("sug"+i).equals("yes")) {
        			afficher = true;
        			i = 14;
        		}        		
        	}
        	
        	if(afficher) {
        		n = r.nextInt(13) + 1;
        		
        		while(prop.getProperty("sug"+n).equals("no")) {
            		n = r.nextInt(13) + 1;
            	}
        		
        		label = new JLabel(prop.getProperty(n+""));
            	
            	panel.add(label);
        		add(panel, BorderLayout.CENTER);
        		
        		fermer = new JButton("Fermer");
        		fermer.addActionListener(new ActionsFermer(this));
        		
        		plusAff = new JButton("Ne plus afficher");
        		plusAff.addActionListener(new ActionsNePlusAfficher(this, n));
        		
        		panelBouton.add(fermer);
        		panelBouton.add(plusAff);
        		add(panelBouton, BorderLayout.SOUTH);
        	}
        	
        	
    		
    		setSize(450, 125);
    		setVisible(afficher);
        	
        }catch (IOException io) {
            io.printStackTrace();
        }
	}

}
